Class Specialization
PoolConfig
Configuration of Pool.

Pool

PoolSpec

PoolConfig

PoolConfig<TFile>
Include Headers
seqan/pipe.h
Parameters

TFile | The underlying File type. Default: File<>, see File.

Remarks
Using this configuration spec., the Pool's size type is Size<TFile>::Type. To use a custom size type PoolConfigSize should be used.
Specialization of
PoolSpec
Functions

assign | Assigns one object to another object. (Pool)
assign | Assigns one object to another object. (Pool)
atEnd | Determines whether an iterator is at the end position. (Pool)
beginRead | Initiates a read process. (Pool)
beginWrite | Initiates a write process. (Pool)
clear | Resets an object. (Pool)
endRead | Terminates a read process. (Pool)
endWrite | Terminates a write process. (Pool)
front | Gets the first element of the remaining stream. (Pool)
length | The number of items/characters. (Pool)
pop | Pops the first element of the remaining stream. (Pool)
push | Appends an item at the end of an input stream. (Pool)
resize | Resizes a container. If the new length exceeds the old length the new elements are filled with copies of value. (Pool)

See Also
PoolConfigSize
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:51